/***************************************************************************
 *   Copyright (C) 2012 by Gil Mardon                                      *
 *   gil.mardon@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtGui>

#include "Ws2355.h"
#include "Configuration.h"
#include "CurrentData.h"
#include "CurrentDataTab.h"
#include "DailyDataTab.h"
#include "MonthlyDataTab.h"
#include "YearlyDataTab.h"
#include "ConfigurationTab.h"

namespace Ui {
    class MainWindow;
    class QTabWidget;
    class QWidget;
    class QSlider;
    class QLCDNumber;
    class QProgressBar;
    class QLabel;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void                changeEvent(QEvent *event);


private:
    Ui::MainWindow      *ui;
    QTabWidget          *mainTabWidget;

    CurrentDataTab      *currentWidget;
    DailyDataTab        *dailyWidget;
    MonthlyDataTab      *monthlyWidget;
    YearlyDataTab       *yearlyWidget;
    ConfigurationTab    *configurationWidget;


    Ws2355              *theStation;
    Configuration       *theConfiguration;
    CurrentData         *theCurrentData;

private slots:
    void                periodicTask();
};

#endif // MAINWINDOW_H
