/***************************************************************************
 *   Copyright (C) 2012 by Gil Mardon                                      *
 *   gil.mardon@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef RAINGRAPH_H
#define RAINGRAPH_H

#include <qwt_plot.h>
//#include <qwt_plot_curve.h>
#include <qwt_plot_histogram.h>

class RainGraph
{
public:
    RainGraph( double min, double max, double step );
    ~RainGraph();

    QwtPlot*            getPlot(){ return rainPlot;}
    void                setXAxisMax( double max);
    void                update( QVector<double> x1, QVector<double> y1 );
    void                setText( void );

private:
    double              xMin;
    double              xMax;
    double              xStep;

    QwtPlot             *rainPlot;
    QwtPlotHistogram    *rainCurve;
    QwtText             *rainLeftAxisTitle;
};

#endif // RAINGRAPH_H
