/***************************************************************************
 *   Copyright (C) 2012 by Gil Mardon                                      *
 *   gil.mardon@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <QLabel>
#include <QPainter>

#include "RotatedQLabel.h"


RotatedQLabel::RotatedQLabel( QWidget *parent ) :
    QLabel( parent )
{
    this->rotateText( 270 );
}

bool RotatedQLabel::rotateText( float degrees )
{
    if ( degrees >=0 && degrees <= 360 )
    {
        rotation = degrees;
        update();
        return TRUE;
    }
    return FALSE;
}

void RotatedQLabel::paintEvent( QPaintEvent * )
{
    QPainter p;
    p.begin( this );
    p.setFont( font() );
    drawRotatedText( &p, rotation, width() / 2, height() / 2, text() );
    p.end();
}

void RotatedQLabel::drawRotatedText( QPainter *painter, float degrees, int x, int y, const QString &text )
{
    painter->save();
    painter->translate( x, y );
    painter->rotate( degrees );
    painter->drawText( 0, 0, text );
    painter->restore();
}
