/***************************************************************************
 *   Copyright (C) 2012 by Gil Mardon                                      *
 *   gil.mardon@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef WINDGRAPH_H
#define WINDGRAPH_H

#include <qwt_plot.h>
#include <qwt_plot_curve.h>

class WindGraph
{
public:
                        WindGraph( double min, double max, double step );
                        ~WindGraph();

    QwtPlot*            getPlot(){ return windPlot;}
    void                setXAxisMax( double max);
    void                update( QVector<double> x1, QVector<double> y1, QVector<double> x2, QVector<double> y2 );
    void                setText( void );

private:
    double              xMin;
    double              xMax;
    double              xStep;

    QwtPlot             *windPlot;
    QwtPlotCurve        *windDirectionCurve;
    QwtPlotCurve        *windSpeedCurve;
    QwtText             *windLeftAxisTitle;
    QwtText             *rightAxisTitle;
};

#endif // WINDGRAPH_H
