/***************************************************************************
 *   Copyright (C) 2012 by Gil Mardon                                      *
 *   gil.mardon@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef WS2355THREAD_H
#define WS2355THREAD_H

#include <QThread>
#include "CurrentData.h"
#include "Connection.h"
#include "Configuration.h"
#include "Ws2355.h"

class Ws2355Thread : public QThread
{

public:
    Ws2355Thread( Ws2355 *, Configuration *, CurrentData *, Connection * );
    static void msleep(unsigned long msecs) { QThread::msleep(msecs); }

    void run();
private:
    Ws2355                  *theStation;
    Configuration           *theGlobalConfiguration;
    CurrentData             *theCurrentData;
    Connection              *theConnection;
};

#endif // WS2355THREAD_H
