/***************************************************************************
 *   Copyright (C) 2012 by Gil Mardon                                      *
 *   gil.mardon@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef WSMETEO_H
#define WSMETEO_H

#include <QString>
#include <QObject>

#define WSMETEO_TEMPERATURE_MIN                 -20             // -20°C
#define WSMETEO_TEMPERATURE_MAX                 50              // +50°C

namespace GUIStrings
{
    // About software
    const QString WSMETEO_PROGRAM_NAME( QObject::trUtf8( "WSMétéo" ));
    const QString WSMETEO_PROGRAM_VERSION( "1.0" );
    const QString WSMETEO_PROGRAM_DATE( "23.02.2013" );
    const QString WSMETEO_PROGRAM_COPYRIGHT( "Copyright 2013 gil.mardon@gmail.com" );
}


typedef struct {
    int         number;
    QString     text;
}wsMeteoErrorType;

#define OK                                      0
#define ERROR_UNABLE_TO_OPEN_SERIAL_PORT        1
#define ERROR_SERIAL_PORT_LOCKED                2
#define ERROR_COULDN_T_RESET_NON_BLOCKING_MODE  3
#define ERROR_ENABLE_TO_INITIALIZE_SERIAL_PORT  4

const QString WsMeteoErrors[4] = {
    "OK",
    "Unable to open serial device" ,
    "Serial device is locked by other program",
    "couldn't reset non-blocking mode"
    "TIOCMGET erreur"
    "Station non connectée"
};

typedef struct timestamp
{
        int minute;
        int hour;
        int day;
        int month;
        int year;
}timestampType;

#endif // WSMETEO_H
